Create marketing asset
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaProxyUrl": "<string>",
"name": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mediaProxyUrl: '<string>',
name: '<string>',
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/assets"
payload = {
"mediaProxyUrl": "<string>",
"name": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePhotoId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"proxyUrl": "<string>",
"contentType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Assets
Create marketing asset
Requires write:marketing-assets. Create from an existing media proxy URL (mediaProxyUrl, name, optional folderId).
POST
/
api
/
v1
/
marketing
/
assets
Create marketing asset
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mediaProxyUrl": "<string>",
"name": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mediaProxyUrl: '<string>',
name: '<string>',
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/assets"
payload = {
"mediaProxyUrl": "<string>",
"name": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePhotoId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"proxyUrl": "<string>",
"contentType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Response
Created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I